> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pawapay.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Correspondent Availability

Mobile Money Operators (MMOs) sometimes have instability in processing payments. Read more about [MMO Stability](/implementation#mmo-stability).

Our 24/7 payment operations team constantly monitors all the MMOs available on our platform for any degraded performance or downtime.
From this endpoint you can get the current processing status of each MMO.
This endpoint returns all MMOs (correspondents) grouped by country.
Each operation type has a separate status.

Following statuses are possible for different operations:

| Status        | Description                                                                                                                                                                                                                |
| ------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `OPERATIONAL` | The MMO (correspondent) is operational and open for processing requests.                                                                                                                                                   |
| `DELAYED`     | The MMO (correspondent) is having problems processing **payouts**. Our payment operations team is currently monitoring the MMO. **Payouts are being enqueued** and will be processed once the problems have been resolved. |
| `CLOSED`      | The MMO (correspondent) is having problems and all requests are being **rejected** by PawaPay.                                                                                                                             |


## OpenAPI

````yaml openapi_v1 get /availability
openapi: 3.0.0
info:
  title: PawaPay Merchant API v1
  description: Please find complete documentation from https://docs.pawapay.io/.
  version: v1
  x-logo:
    url: >-
      https://global-uploads.webflow.com/62824591015aa314fd308df1/6411b26596e3de3f52551c00_Logopawapay-p-500.png
    href: https://docs.pawapay.io/
    altText: PawaPay logo
servers:
  - url: https://api.sandbox.pawapay.io
    description: PawaPay Merchant API sandbox
  - url: https://api.pawapay.io
    description: PawaPay Merchant API production
security:
  - bearerAuth: []
tags:
  - name: payouts
    x-displayName: Payouts
  - name: deposits
    x-displayName: Deposits
  - name: refunds
    x-displayName: Refunds
  - name: payment-page
    x-displayName: Payment Page
  - name: toolkit
    x-displayName: Toolkit
  - name: wallet-balances
    x-displayName: Wallet balances
paths:
  /availability:
    get:
      tags:
        - toolkit
      summary: Correspondent Availability
      operationId: availability
      parameters: []
      responses:
        '200':
          description: If a request has been processed by PawaPay successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GatewaysAvailabilityStatusResult'
              examples:
                Success:
                  value:
                    - country: GHA
                      correspondents:
                        - correspondent: VODAFONE_GHA
                          operationTypes:
                            - operationType: DEPOSIT
                              status: OPERATIONAL
                            - operationType: PAYOUT
                              status: DELAYED
                        - correspondent: MTN_MOMO_GHA
                          operationTypes:
                            - operationType: DEPOSIT
                              status: OPERATIONAL
                            - operationType: PAYOUT
                              status: OPERATIONAL
                        - correspondent: AIRTELTIGO_GHA
                          operationTypes:
                            - operationType: DEPOSIT
                              status: CLOSED
                            - operationType: PAYOUT
                              status: DELAYED
                    - country: ZMB
                      correspondents:
                        - correspondent: MTN_MOMO_ZMB
                          operationTypes:
                            - operationType: DEPOSIT
                              status: CLOSED
                            - operationType: PAYOUT
                              status: OPERATIONAL
                        - correspondent: AIRTEL_OAPI_ZMB
                          operationTypes:
                            - operationType: DEPOSIT
                              status: OPERATIONAL
                            - operationType: PAYOUT
                              status: DELAYED
        '500':
          description: If a system error has occured.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                System Error:
                  value:
                    errorId: d428a89e-fa8b-42b8-ba20-68be20d50af1
                    errorCode: 0
                    errorMessage: Internal error
      security: []
components:
  schemas:
    GatewaysAvailabilityStatusResult:
      type: array
      items:
        $ref: '#/components/schemas/GatewayAvailabilityStatusResult'
    ErrorResponse:
      required:
        - errorId
        - errorCode
        - errorMessage
      type: object
      properties:
        errorId:
          maxLength: 36
          type: string
          description: A unique error ID in the PawaPay platform.
          example: 63743264-7292-11ea-bc55-0242ac130003
        errorCode:
          type: integer
          description: PawaPay internal error code.
          example: 1
        errorMessage:
          type: string
          description: Error message.
          example: Internal error
    GatewayAvailabilityStatusResult:
      required:
        - country
        - correspondents
      type: object
      properties:
        country:
          $ref: '#/components/schemas/Country'
        correspondents:
          type: array
          items:
            $ref: '#/components/schemas/GatewayAvailabilityCorrespondentResult'
    Country:
      type: string
      description: >
        The country in which the MMO operates. 


        Format is ISO 3166-1 alpha-3, three character country code in upper
        case. Read more from
        [Wikipedia](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-3#Officially_assigned_code_elements).
      example: ZMB
    GatewayAvailabilityCorrespondentResult:
      required:
        - correspondent
        - operationTypes
      type: object
      properties:
        correspondent:
          $ref: '#/components/schemas/Correspondent'
        operationTypes:
          type: array
          items:
            $ref: '#/components/schemas/GatewayAvailabilityOperationTypeResult'
    Correspondent:
      type: string
      description: >
        The correspondent code refers to the specific MMO that the specified
        phone number (MSISDN) has an active mobile money wallet with. 


        You can find all the supported correspondents [listed
        here](/using_the_api#correspondents). 


        The [active
        configuration](/v1/api-reference/toolkit/active-configuration) endpoint
        provides the list of correspondents configured for your account.


        You can use the [predict
        correspondent](/v1/api-reference/toolkit/predict-correspondent) enpoint
        to predict the correct correspondent to use based on the phone number
        (MSISDN).
      example: MTN_MOMO_ZMB
    GatewayAvailabilityOperationTypeResult:
      required:
        - operationType
        - status
      type: object
      properties:
        operationType:
          $ref: '#/components/schemas/GatewayAvailabilityOperationType'
        status:
          $ref: '#/components/schemas/GatewayAvailabilityStatus'
    GatewayAvailabilityOperationType:
      type: string
      description: >
        The type of financial operation for which the operation status
        applies.  

        * `PAYOUT` -  Relates to payout (disbursement) and refund transactions. 

        * `DEPOSIT` - Relates to deposit (collection) transactions.
      enum:
        - PAYOUT
        - DEPOSIT
    GatewayAvailabilityStatus:
      type: string
      description: >
        Possible operation statuses for correspondents and their operation
        types: 

        * `OPERATIONAL` -  The MMO (correspondent) is operational and open for
        processing requests.

        * `DELAYED` - The MMO (correspondent) is having problems processing
        payouts. Our payment operations team is currently monitoring the MMO.
        Payouts are being enqueued and will be processed once the problems have
        been resolved.  

        * `CLOSED` - The MMO (correspondent) is having problems and all requests
        are being rejected by PawaPay.
      enum:
        - OPERATIONAL
        - DELAYED
        - CLOSED
  securitySchemes:
    bearerAuth:
      type: http
      description: See [Authentication](/using_the_api#authentication).
      scheme: bearer
      bearerFormat: JWT

````